/* Основні налаштування */
html {
  scroll-behavior: smooth;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Montserrat', sans-serif;
}
.contacts-section {
  padding: 40px 20px;
  text-align: center;
}

.contacts-title {
  color: #000000;
  font-size: 40px;
  margin-bottom: 10px;
  font-weight: bold;
}

.contacts-subtitle {
  font-size: 18px;
  margin-bottom: 30px;
}

.contacts-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  border-top: 1px solid #ccc;
  padding-top: 30px;
}

.contacts-left,
.contacts-right {
  flex: 1;
  min-width: 300px;
  max-width: 600px;
  padding: 20px;
}

.contact-block {
  margin-bottom: 30px;
  text-align: left;
}

.contact-block h3 {
  color: #000000;
  margin: 10px 0;
}

.contact-block .icon {
  font-size: 20px;
}

.contact-block p {
  font-size: 16px;
}

.contact-block a {
  color: rgb(0, 0, 0);
  text-decoration: none;
}

.contact-form {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.form-row {
  display: flex;
  gap: 10px;
}

.form-row input {
  flex: 1;
}

input, textarea {
  padding: 10px;
  border: 1px solid white;
  background-color: transparent;
  color: rgb(0, 0, 0);
  font-size: 16px;
}

textarea {
  min-height: 100px;
  resize: vertical;
}

button {
  background-color: #f9ec88;
  color: black;
  border: none;
  padding: 12px;
  cursor: pointer;
  font-size: 16px;
  font-weight: bold;
  transition: background-color 0.3s ease;
  margin-left: 5%;
}

button:hover {
  background-color: #e8da5f;
}
.intro-section {
  background-color: rgb(255, 255, 255);
  color: #252525;
  padding: 80px 20px;
  text-align: center;
}

.intro-section h1 {
  font-size: 40px;
  font-weight: bold;
  margin-bottom: 20px;
}

.intro-section p {
  font-size: 18px;
  max-width: 800px;
  margin: 0 auto;
  line-height: 1.6;
}


body {
  font-family: 'Montserrat', sans-serif;
  background-color: #fff;
  color: #1a1a1a;
  line-height: 1.6;
}

.hero-section {
  position: relative;
  height: 100vh;
  background-image: url('https://static.wixstatic.com/media/482995_7f91e6d44c854f8f878ee8d0d2687ec7~mv2.jpg/v1/fill/w_1990,h_1305,al_c,q_90,usm_0.66_1.00_0.01,enc_avif,quality_auto/482995_7f91e6d44c854f8f878ee8d0d2687ec7~mv2.jpg'); /* заміни на свій фон */
  background-size: cover;
  background-position: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.hero-overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-image: url("img/your-background.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px;
}

.hero-section {
  background-color: #ffffff;
  padding: 120px 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  position: relative;
}

.hero-content {
  border: 1px solid rgba(0, 0, 0, 0.2); /* Прозора чорна рамка */
  padding: 60px 30px;
  background-color: rgba(0, 0, 0, 0.527); /* Трохи прозоре біле тло всередині */
  max-width: 800px;
  box-shadow: 0 0 40px rgba(0, 0, 0, 0.05); /* легка тінь */
}

.hero-content h1 {
  font-size: 32px;
  font-weight: 600;
  color: #fff9f9;
  margin-bottom: 10px;
  text-transform: uppercase;
}

.hero-content h2 {
  font-size: 48px;
  font-weight: 800;
  color: #c7a057;
  margin-bottom: 15px;
}

.hero-content p {
  font-size: 20px;
  color: #ffffff;
}


.hero-btn {
  padding: 12px 30px;
  background-color: #c7a057;
  color: #fff;
  text-decoration: none;
  border-radius: 5px;
  font-weight: 500;
  transition: background 0.3s ease;
}

.hero-btn:hover {
  background-color: #a88335;
}


a {
  color: #c7a057;
  text-decoration: none;
  font-weight: 600;
  transition: color 0.3s ease;
}
.how-we-work-section {
  padding: 60px 20px;
  background-color: #f9f9f9;
  text-align: center;
}

.how-we-work-section h2 {
  color: #c7a057;
  font-size: 36px;
  margin-bottom: 40px;
}

.steps-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 30px;
}

.step {
  background-color: #fff;
  border: 1px solid #eaeaea;
  border-radius: 8px;
  padding: 30px 20px;
  width: 250px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.05);
  transition: transform 0.3s;
}

.step:hover {
  transform: translateY(-5px);
}

.step-number {
  font-size: 28px;
  font-weight: bold;
  color: #c7a057;
  margin-bottom: 15px;
}

.step h3 {
  font-size: 20px;
  color: #1a1a1a;
  margin-bottom: 10px;
}

.step p {
  font-size: 16px;
  color: #555;
}


a:hover {
  color: #a8843c;
}

h1 {
  font-size: 36px;
  margin: 40px 0 20px;
  text-align: center;
}

h2 {
  color: #c7a057;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px; 
}

/* Header + Navigation */
header {
  padding: 5px 0;
  border-bottom: 1px solid #eaeaea;
  background: #fff;
  z-index: 999;
  position: fixed;
  top: 0;
  width: 100%;
  transition: top 0.3s;
}

header.hide-header {
  top: -100px; /* висота вашого хедера */
}
header .container {
  display: flex;
  justify-content: space-between;
  align-items: center; /* <– ВИРІВНЮЄ ПО ВИСОТІ */
}
.row {
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
}

/* Create two equal columns that sits next to each other */
/*.column {
  flex: 50%;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  padding: 0 4px;
  gap: 20px;
  flex-direction: column;
  padding: 20px;
} */
.gallery-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
  margin-top: 40px;
  justify-items: center;
}

.grid-gallery{
  margin-bottom: 40px;
}
.gallery h2 {
  text-align: center;
  margin-top: 20px;
  margin-bottom: 20px;
}

.gallery-grid img {
  width: 100%;
  max-width: 300px;
  height: 400px;
  object-fit: cover;
  border-radius: 8px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}



.logo {
  font-weight: 700;
  font-size: 24px;
}

.logo img {
  max-height: 120px;
  transition: height 0.3s ease;
}

nav ul {
  display: flex;
  gap: 20px;
  list-style: none;
  margin: 0;
  padding: 0;
}

nav ul li a {
  font-size: 16px;
  font-weight: bold;
  color: #c7a057;
  text-decoration: none;
  position: relative;        
  display: inline-block;       
  padding: 8px 10px;
  font-weight: 600;
  text-decoration: none;
  transition: color .3s ease;
}

nav ul li a:hover {
   color: #ffa600;
}

nav ul li a:hover::after {
  width: 100%;               
  left: 0;                    
}
#scrollToTopBtn {
  position: fixed;
  bottom: 30px;
  right: 30px;
  z-index: 9999;
  background-color: #444;
  color: white;
  border: none;
  padding: 12px 16px;
  border-radius: 50%;
  font-size: 20px;
  cursor: pointer;
  display: none;
  transition: opacity 0.3s ease;
}

#scrollToTopBtn:hover {
  background-color: #000;
}

nav ul li a::after {
  content: '';
  position: absolute;
  left: 50%;               
  bottom: 0;
  width: 0;
  height: 2px;
  background: #c7a057;         
  transition: width .3s ease, left .3s ease;
}


nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

/* Footer */
footer {
  background-color: #2a2a2a;
  color: white;
  padding: 40px 20px;
  border-top: 1px solid #999;
}
.footer-container {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  max-width: 1200px;
  margin: 0 auto;
  flex-wrap: wrap;
}

.footer-logo img {
  max-height: 120px;
}

.footer-info {
  max-width: 400px;
  text-align: left;
  margin: 0 20px;
}

.footer-info h4 {
  margin: 0 0 10px;
}

.footer-contacts {
  text-align: right;
}

.phone-yellow {
  color: #f1e284;
  font-weight: bold;
  font-size: 18px;
}

.phone-white {
  color: white;
  font-weight: bold;
  font-size: 18px;
}

.work-time {
  margin-top: 10px;
  font-size: 14px;
}

/* Блоки послуг */
.service {
  margin: 40px 0;
  padding: 20px;
  border: 1px solid #eee;
  border-radius: 8px;
  transition: 0.3s;
}

.service:hover {
  box-shadow: 0 5px 20px rgba(0, 0, 0, 0.1);
}

/* Контактна форма */
form {
  display: flex;
  flex-direction: column;
  gap: 15px;
  margin-top: 40px;
}

input, textarea {
  padding: 12px;
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 6px;
}

button {
  background: #c7a057;
  color: white;
  padding: 14px;
  border: none;
  border-radius: 6px;
  font-weight: 600;
  cursor: pointer;
  transition: background 0.3s;
}

button:hover {
  background: #a8843c;
}

.img-swiper {
  margin-bottom: 2%;
}

.consultation-section {
  background-color: #ffffff;
  padding: 60px 20px;
  text-align: center;
  margin-bottom: 50px;
}

.consultation-container {
  max-width: 800px;
  margin: 0 auto;
}

.consultation-title {
  font-size: 32px;
  font-weight: bold;
  margin-bottom: 15px;
  color: #1a1a1a;
}

.consultation-subtitle {
  font-size: 18px;
  color: #555;
  margin-bottom: 30px;
}

.consultation-btn {
  background-color: #c7a057;
  color: #fff;
  padding: 14px 32px;
  border-radius: 5px;
  text-decoration: none;
  font-weight: 500;
  transition: background 0.3s ease;
}

.consultation-btn:hover {
  background-color: #a88335;
}

/* Загальні стилі для темної теми */
body.dark-theme {
  background-color: #353535;
  color: #fff;
}

body.dark-theme header, 
body.dark-theme footer {
  background-color: #333;
}

body.dark-theme a {
  color: #fff;
}

body.dark-theme button {
  background-color: #555;
  color: #fff;
}

body.dark-theme button:hover {
  background-color: #777;
}

body.dark-theme .service {
  background-color: #ffffff75;
}

body.dark-theme .gallery-grid img {
  filter: brightness(60%);
}

/* Додаткові стилі для темної теми */
body.dark-theme .hero-content {
  background-color: rgba(255, 255, 255, 0.459); /* темний фон для hero секції */
}

body.dark-theme .footer-info {
  color: white;
}

/* Можна додати більше стилів для конкретних елементів, якщо потрібно */

body.dark-theme .how-we-work-section {
  background-color: #333; /* Темний фон секції */
  color: #fff; /* Світлий текст */
}

body.dark-theme .how-we-work-section h2 {
  color: #c7a057; /* Світло-золотий колір для заголовка */
}

body.dark-theme .step {
  background-color: #444; /* Темний фон для кожного кроку */
  border: 1px solid #555; /* Темніша межа */
  color: #fff; /* Світлий текст для кроків */
}

body.dark-theme .step-number {
  color: #c7a057; /* Золотистий колір для номерів кроків */
}

body.dark-theme .step h3 {
  color: #f9ec88; /* Світло-жовтий колір для підзаголовків */
}

body.dark-theme .step p {
  color: #bbb; /* Світло-сірий колір для тексту в кроках */
}

body.dark-theme .step:hover {
  background-color: #555; /* Яскравіший фон при наведенні на крок */
}
/* Темна тема для секції про компанію */
body.dark-theme .intro-section {
  background-color: #353535; /* Темний фон */
  color: #fff; /* Світлий текст */
  padding: 80px 20px;
  text-align: center;
}

body.dark-theme .intro-section h1 {
  font-size: 40px;
  font-weight: bold;
  margin-bottom: 20px;
  color: #f9ec88; /* Світло-золотий для заголовка */
}

body.dark-theme .intro-section p {
  font-size: 18px;
  max-width: 800px;
  margin: 0 auto;
  line-height: 1.6;
  color: #bbb; /* Світло-сірий колір для тексту */
}
/* Секція консультацій у темній темі */
.consultation-section.dark-theme {
  background-color: #353535; /* Темний фон */
  color: #fff; /* Світлий текст */
  padding: 40px 20px;
  text-align: center;
}

.consultation-section.dark-theme .consultation-container {
  background-color: #353535; /* Темніший фон для контейнера */
  padding: 40px 20px;
  border-radius: 8px; /* Закруглені кути для кращого вигляду */
}

.consultation-section.dark-theme .consultation-title {
  color: #f9ec88; /* Світлий жовтий колір для заголовка */
  font-size: 32px;
  font-weight: bold;
  margin-bottom: 20px;
}

.consultation-section.dark-theme .consultation-subtitle {
  color: #ddd; /* Світлий сірий для підзаголовка */
  font-size: 18px;
  margin-bottom: 30px;
}

.consultation-section.dark-theme .consultation-btn {
  padding: 12px 30px;
  background-color: #555; /* Темний фон для кнопки */
  color: #fff;
  text-decoration: none;
  border-radius: 5px;
  font-weight: 500;
  font-size: 16px;
  transition: background-color 0.3s ease;
}

.consultation-section.dark-theme .consultation-btn:hover {
  background-color: #f9ec88; /* Зміна кольору при наведенні */
  color:#999999
}

.dark-theme input,
.dark-theme textarea {
  background-color: #1e1e1e;
  color: #fff;
  border: 1px solid #555;
}
/* Темна тема */
.dark-theme {
  background-color: #ffffff;
  color: #f0f0f0;
}

/* Темна тема для заголовків, посилань, кнопок тощо */
.dark-theme h1,
.dark-theme h2,
.dark-theme h3,
.dark-theme p,
.dark-theme a,
.dark-theme span {
  color: #000000;
}

/* Кнопки */
.dark-theme button {
  background-color: #333;
  color: #fff;
  border: 1px solid #555;
}

/* Поля форми */

.dark-theme {
  background-color: #ffffff;
  color: #fff;
}

.dark-theme button {
  background-color: #444;
  color: #fff;
}

.dark-theme .contacts-section-tx {
  color: rgb(0, 0, 0);
  background-color: #333;
}
main {
  padding-top: 160px; /* або стільки, скільки висота хедера */
  text-align: center;
}

.dark-theme body {
  color: white;
}
.telegram-link {
  display: flex;
  align-items: center;
  margin-top: 10px;
  text-decoration: none;
  color: #0088cc;
  font-weight: bold;
  transition: 0.3s ease;
}

.telegram-icon {
  width: 20px;
  height: 20px;
  margin-right: 8px;
}

.telegram-link:hover {
  color: #005f8c;
}
.tg-feedback-link {
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  font-size: 16px;
  color: #0084ff;
  text-decoration: none;
  font-weight: 600;
  font-size: 16px;
  transition: color 0.3s ease;
}

.wa-feedback-link {
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  font-size: 16px;
  color: #2fc900;
  text-decoration: none;
  font-weight: 600;
  font-size: 16px;
  transition: color 0.3s ease;
}
.vb-feedback-link {
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  font-size: 16px;
  color: #c300ff;
  text-decoration: none;
  font-weight: 600;
  font-size: 16px;
  transition: color 0.3s ease;
}
.vb-feedback-link:hover{
  color: #7b00a0;
}
.wa-feedback-link:hover {
  color: #008c0c;
}

.tg-feedback-link:hover {
  color: #00608d;
}

.tg-icon {
  width: 24px;
  height: 24px;
  margin-right: 8px;
}
.messenger-links {
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: flex-start; /* Вирівнювання по лівому краю */
  margin-top: 10px; /* Відступ зверху */
}
